/*
 *
 *  * Copyright (C) 2014 Numatica Corporation.
 *  * All Rights Reserved.
 *  *
 *  * NOTICE:  All information contained herein is, and remains
 *  * the property of Numatica Corporation and its suppliers,
 *  * if any.  The intellectual and technical concepts contained
 *  * herein are proprietary to Numatica Corporation
 *  * and its suppliers and may be covered by U.S. and Foreign Patents,
 *  * patents in process, and are protected by trade secret or copyright law.
 *  * Dissemination of this information or reproduction of this material
 *  * is strictly forbidden unless prior written permission is obtained
 *  * from Numatica Corporation.
 *
 */

package com.numatica.insightmagic;

import com.numatica.insightmagic.authentication.ApiAuthenticationAspect;
import com.google.gson.Gson;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.EnableAspectJAutoProxy;

/**
 * Default Application Configuration
 *
 */
@Configuration
@EnableAspectJAutoProxy(proxyTargetClass = true)
public class DefaultApplicationConfiguration {
    @Bean
    public Gson gson() {
        return new Gson();
    }

    @Bean
    public ApiAuthenticationAspect apiControllerAspect() {
        return new ApiAuthenticationAspect();
    }
}
