/*
 *
 *  * Copyright (C) 2014 Numatica Corporation.
 *  * All Rights Reserved.
 *  *
 *  * NOTICE:  All information contained herein is, and remains
 *  * the property of Numatica Corporation and its suppliers,
 *  * if any.  The intellectual and technical concepts contained
 *  * herein are proprietary to Numatica Corporation
 *  * and its suppliers and may be covered by U.S. and Foreign Patents,
 *  * patents in process, and are protected by trade secret or copyright law.
 *  * Dissemination of this information or reproduction of this material
 *  * is strictly forbidden unless prior written permission is obtained
 *  * from Numatica Corporation.
 *
 */

package com.numatica.insightmagic.external;

import java.io.Serializable;

/**
 * Created by Jacek on 4/15/2014.
 */
public class ResponseStatus implements Serializable {
    private Integer statusCode;
    private String message;

    public ResponseStatus() {
    }

    public ResponseStatus(final ApiReturnCode code) {
        this.statusCode = code.getCode();
        this.message = code.getMessage();
    }

    public ResponseStatus(final ApiReturnCode code, final String message) {
        this.statusCode = code.getCode();
        this.message = message;
    }

    public Integer getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(Integer statusCode) {
        this.statusCode = statusCode;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

}
