/*
 *
 *  * Copyright (C) 2014 Numatica Corporation.
 *  * All Rights Reserved.
 *  *
 *  * NOTICE:  All information contained herein is, and remains
 *  * the property of Numatica Corporation and its suppliers,
 *  * if any.  The intellectual and technical concepts contained
 *  * herein are proprietary to Numatica Corporation
 *  * and its suppliers and may be covered by U.S. and Foreign Patents,
 *  * patents in process, and are protected by trade secret or copyright law.
 *  * Dissemination of this information or reproduction of this material
 *  * is strictly forbidden unless prior written permission is obtained
 *  * from Numatica Corporation.
 *
 */
package com.numatica.insightmagic.geolocation.model;

import java.io.*;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.HashMap;
import java.util.List;
import java.util.Scanner;
import java.util.stream.Collectors;
import java.util.stream.Stream;

/**
 * Created with IntelliJ IDEA.
 * User: Jacek
 * Date: 10/3/14
 * Time: 11:32 AM
 * To change this template use File | Settings | File Templates.
 */
public class GeoLocation implements Serializable {

    // private enum addressType not null,
    private String ipStart;
    private Long ipStartNum;
    private String ipEnd;
    private Long ipEndNum;
    private String countryCode;
    private String stateOrProvince;
    private String city;

    public GeoLocation() {
    }

    public GeoLocation(Long ipStartNum, String ipStart, Long ipEndNum, String ipEnd, String countryCode, String stateOrProvince, String city) {
        this.ipStart = ipStart;
        this.ipStartNum = ipStartNum;
        this.ipEnd = ipEnd;
        this.ipEndNum = ipEndNum;
        this.countryCode = countryCode;
        this.stateOrProvince = stateOrProvince;
        this.city = city;
    }

    public String getIpStart() {
        return ipStart;
    }

    public void setIpStart(String ipStart) {
        this.ipStart = ipStart;
    }

    public Long getIpStartNum() {
        return ipStartNum;
    }

    public void setIpStartNum(Long ipStartNum) {
        this.ipStartNum = ipStartNum;
    }

    public String getIpEnd() {
        return ipEnd;
    }

    public void setIpEnd(String ipEnd) {
        this.ipEnd = ipEnd;
    }

    public Long getIpEndNum() {
        return ipEndNum;
    }

    public void setIpEndNum(Long ipEndNum) {
        this.ipEndNum = ipEndNum;
    }

    public String getCountryCode() {
        return countryCode;
    }

    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    public String getStateOrProvince() {
        return stateOrProvince;
    }

    public void setStateOrProvince(String stateOrProvince) {
        this.stateOrProvince = stateOrProvince;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

}
