/*
 *
 *  * Copyright (C) 2014 Numatica Corporation.
 *  * All Rights Reserved.
 *  *
 *  * NOTICE:  All information contained herein is, and remains
 *  * the property of Numatica Corporation and its suppliers,
 *  * if any.  The intellectual and technical concepts contained
 *  * herein are proprietary to Numatica Corporation
 *  * and its suppliers and may be covered by U.S. and Foreign Patents,
 *  * patents in process, and are protected by trade secret or copyright law.
 *  * Dissemination of this information or reproduction of this material
 *  * is strictly forbidden unless prior written permission is obtained
 *  * from Numatica Corporation.
 *
 */
package com.numatica.insightmagic;

import com.hazelcast.client.HazelcastClient;
import com.hazelcast.client.config.ClientConfig;
import com.hazelcast.core.*;
import com.hazelcast.query.SqlPredicate;
import com.numatica.insightmagic.interaction.UserAction;

/**
 * Created with IntelliJ IDEA.
 * User: Jacek
 * Date: 10/8/14
 * Time: 2:13 PM
 * To change this template use File | Settings | File Templates.
 */
public class InMotionAnalytics {

    public static void main(String[] args) {


        try {
            ClientConfig clientConfig = new ClientConfig();

        HazelcastInstance client = HazelcastClient.newHazelcastClient(clientConfig);
        IMap map = client.getMap("geoMap");
        System.out.println("Geo map size " + map.size());

        IMap<Long, UserAction> userActionHistory = client.getMap(HazelcastConfiguration.USER_ACTION_HISTORY_MAP);
        userActionHistory.addEntryListener(new MyEntryListener(),
                new SqlPredicate("countryCode=CN"), true);
        System.out.println("Entry Listener registered");
        } catch (RuntimeInterruptedException riEx) {
            HazelcastClient.shutdownAll();
        }
    }

    static class MyEntryListener implements EntryListener<Long, UserAction> {
        @Override
        public void entryAdded(EntryEvent<Long, UserAction> event) {
            String city = event.getValue().getCity();
            String ipAddress = event.getValue().getIpAddress();
            String countryCode= event.getValue().getCountryCode();

            System.out.println("Potential break-in attempt from : " + ipAddress + " in " + city + ", " + countryCode);
        }

        @Override
        public void entryRemoved(EntryEvent<Long, UserAction> event) {
            System.out.println("Entry Removed:" + event);
        }

        @Override
        public void entryUpdated(EntryEvent<Long, UserAction> event) {
            System.out.println("Entry Updated:" + event);
        }

        @Override
        public void entryEvicted(EntryEvent<Long, UserAction> event) {
            System.out.println("Entry Evicted:" + event);
        }

        @Override
        public void mapEvicted(MapEvent event) {
            System.out.println("Map Evicted:" + event);

        }

        @Override
        public void mapCleared(MapEvent mapEvent) {
            //To change body of implemented methods use File | Settings | File Templates.
        }
    }


}
